Browse Source

add ipykernel

black
parent
commit
81af4a9920
  1. 52
      poetry.lock
  2. 4
      pyproject.toml

52
poetry.lock

@ -2,7 +2,7 @@
name = "appnope"
version = "0.1.2"
description = "Disable App Nap on macOS >= 10.9"
category = "dev"
category = "main"
optional = false
python-versions = "*"
@ -10,7 +10,7 @@ python-versions = "*"
name = "backcall"
version = "0.2.0"
description = "Specifications for callback functions passed in to an API"
category = "dev"
category = "main"
optional = false
python-versions = "*"
@ -26,7 +26,7 @@ python-versions = "*"
name = "cffi"
version = "1.14.5"
description = "Foreign Function Interface for Python calling C code."
category = "dev"
category = "main"
optional = false
python-versions = "*"
@ -45,7 +45,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*"
name = "colorama"
version = "0.4.4"
description = "Cross-platform colored terminal text."
category = "dev"
category = "main"
optional = false
python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*"
@ -64,7 +64,7 @@ six = "*"
name = "decorator"
version = "4.4.2"
description = "Decorators for Humans"
category = "dev"
category = "main"
optional = false
python-versions = ">=2.6, !=3.0.*, !=3.1.*"
@ -78,9 +78,9 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*"
[[package]]
name = "ipykernel"
version = "5.5.0"
version = "5.5.3"
description = "IPython Kernel for Jupyter"
category = "dev"
category = "main"
optional = false
python-versions = ">=3.5"
@ -98,7 +98,7 @@ test = ["pytest (!=5.3.4)", "pytest-cov", "flaky", "nose", "jedi (<=0.17.2)"]
name = "ipython"
version = "7.22.0"
description = "IPython: Productive Interactive Computing"
category = "dev"
category = "main"
optional = false
python-versions = ">=3.7"
@ -137,7 +137,7 @@ python-versions = "*"
name = "jedi"
version = "0.18.0"
description = "An autocompletion tool for Python that can be used for text editors."
category = "dev"
category = "main"
optional = false
python-versions = ">=3.6"
@ -152,7 +152,7 @@ testing = ["Django (<3.1)", "colorama", "docopt", "pytest (<6.0.0)"]
name = "jupyter-client"
version = "6.1.12"
description = "Jupyter protocol implementation and client libraries"
category = "dev"
category = "main"
optional = false
python-versions = ">=3.5"
@ -171,7 +171,7 @@ test = ["async-generator", "ipykernel", "ipython", "mock", "pytest-asyncio", "py
name = "jupyter-core"
version = "4.7.1"
description = "Jupyter core package. A base package on which Jupyter projects rely."
category = "dev"
category = "main"
optional = false
python-versions = ">=3.6"
@ -231,7 +231,7 @@ test = ["pytest (>=5.0.1)", "pytest-xdist", "hypothesis (>=3.58)"]
name = "parso"
version = "0.8.1"
description = "A Python Parser"
category = "dev"
category = "main"
optional = false
python-versions = ">=3.6"
@ -243,7 +243,7 @@ testing = ["docopt", "pytest (<6.0.0)"]
name = "pexpect"
version = "4.8.0"
description = "Pexpect allows easy control of interactive console applications."
category = "dev"
category = "main"
optional = false
python-versions = "*"
@ -254,7 +254,7 @@ ptyprocess = ">=0.5"
name = "pickleshare"
version = "0.7.5"
description = "Tiny 'shelve'-like database with concurrency support"
category = "dev"
category = "main"
optional = false
python-versions = "*"
@ -270,7 +270,7 @@ python-versions = ">=3.6"
name = "prompt-toolkit"
version = "3.0.18"
description = "Library for building powerful interactive command lines in Python"
category = "dev"
category = "main"
optional = false
python-versions = ">=3.6.1"
@ -281,7 +281,7 @@ wcwidth = "*"
name = "ptyprocess"
version = "0.7.0"
description = "Run a subprocess in a pseudo terminal"
category = "dev"
category = "main"
optional = false
python-versions = "*"
@ -289,7 +289,7 @@ python-versions = "*"
name = "py"
version = "1.10.0"
description = "library with cross-python path, ini-parsing, io, code, log facilities"
category = "dev"
category = "main"
optional = false
python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*"
@ -297,7 +297,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*"
name = "pycparser"
version = "2.20"
description = "C parser in Python"
category = "dev"
category = "main"
optional = false
python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*"
@ -305,7 +305,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*"
name = "pygments"
version = "2.8.1"
description = "Pygments is a syntax highlighting package written in Python."
category = "dev"
category = "main"
optional = false
python-versions = ">=3.5"
@ -340,7 +340,7 @@ python-versions = "*"
name = "pywin32"
version = "300"
description = "Python for Window Extensions"
category = "dev"
category = "main"
optional = false
python-versions = "*"
@ -348,7 +348,7 @@ python-versions = "*"
name = "pyzmq"
version = "22.0.3"
description = "Python bindings for 0MQ"
category = "dev"
category = "main"
optional = false
python-versions = ">=3.6"
@ -397,7 +397,7 @@ python-versions = ">=2.7, !=3.0.*, !=3.1.*, !=3.2.*"
name = "tornado"
version = "6.1"
description = "Tornado is a Python web framework and asynchronous networking library, originally developed at FriendFeed."
category = "dev"
category = "main"
optional = false
python-versions = ">= 3.5"
@ -432,14 +432,14 @@ brotli = ["brotlipy (>=0.6.0)"]
name = "wcwidth"
version = "0.2.5"
description = "Measures the displayed width of unicode strings in a terminal"
category = "dev"
category = "main"
optional = false
python-versions = "*"
[metadata]
lock-version = "1.1"
python-versions = ">=3.8,<3.10"
content-hash = "d68505f0eb324e7945aee7e50ff76daf917983380b7f5d2882bf9a55210d2f1a"
content-hash = "88e3eea7ef4907bdf655449988036041a02fe58833ac7ec78ec3f1de571deceb"
[metadata.files]
appnope = [
@ -514,8 +514,8 @@ idna = [
{file = "idna-2.10.tar.gz", hash = "sha256:b307872f855b18632ce0c21c5e45be78c0ea7ae4c15c828c20788b26921eb3f6"},
]
ipykernel = [
{file = "ipykernel-5.5.0-py3-none-any.whl", hash = "sha256:efd07253b54d84d26e0878d268c8c3a41582a18750da633c2febfd2ece0d467d"},
{file = "ipykernel-5.5.0.tar.gz", hash = "sha256:98321abefdf0505fb3dc7601f60fc4087364d394bd8fad53107eb1adee9ff475"},
{file = "ipykernel-5.5.3-py3-none-any.whl", hash = "sha256:21abd584543759e49010975a4621603b3cf871b1039cb3879a14094717692614"},
{file = "ipykernel-5.5.3.tar.gz", hash = "sha256:a682e4f7affd86d9ce9b699d21bcab6d5ec9fbb2bfcb194f2706973b252bc509"},
]
ipython = [
{file = "ipython-7.22.0-py3-none-any.whl", hash = "sha256:c0ce02dfaa5f854809ab7413c601c4543846d9da81010258ecdab299b542d199"},

4
pyproject.toml

@ -11,9 +11,7 @@ traitlets = "^5.0.5"
requests = "^2.25.1"
matplotlib = "^3.4.0"
scipy = "^1.6.2"
[tool.poetry.dev-dependencies]
ipykernel = "^5.5.0"
ipykernel = "^5.5.3"
[build-system]
requires = ["poetry-core>=1.0.0"]

Loading…
Cancel
Save